# Archinstall configuration for XO Servers

### User credentials encryption and decryption

#### To encrypt
gpg --output user_credentials.crypt --symmetric --cypher-algo AES256 user_credentials.json

#### To decrypt
gpg --output user_credentials.json --decrypt user_credentials.crypt

### Usage

1. Boot from Arch Linux iso
2. Download the encrypted credentials file using curl (curl -O https://git.xo.nl/marcel/archinstall/raw/master/user_credentials.crypt)
3. Decrypt using above command
4. Run the archinstall command (archinstall --config https://git.xo.nl/marcel/archinstall/raw/master/user_configuration.json --creds ./user_credentials.json --silent)
